﻿@{
    ViewData["Title"] = "Home Page";
    var userName = User.Identity.Name;
}

<div class="jumbotron" bg-light>
    <h2 class= "text-center text-primary">
           <i class="fab fa-facebook messenger"></i>&nbsp; Public Talk
    </h2>
    <div class="row">
        <div class="col-md-12"id="chat">
            @if(Model != null) 
            {
                @foreach (var message in Model.OrderBy(Model.Message.When))
                {
                    string containerClass, timePosition, textAlign, contrcolor, offset;
                    if (userName == message.UserName) 
                    {
                        containerClass = "container darker";
                        timePosition = "time-right text-light";
                        textAlign = "text-right text-white";
                        contrcolor = "bg-primary";
                        offset = "col-md-6 offset-md-6";
                    }
                    else 
                    {
                        containerClass = "container";
                        timePosition = "time-left";
                        textAlign = "text-left";
                        contrcolor = "bg-light";
                        offset = "";

                    }
                    <div class=" = "row">
                        <div class="@offset">
                                <div class="@containerClass @contrcolor">
                                    <p class= "sender @textAlign">@message.UserName</p>
                                    <p class="@textAlign">@message.Text</p>
                                    <p class="@timePosition">@message.When.ToString();
                                </div>
                        </div>
                    </div>
                }
            }
        </div>
        <div class="col-md-12">
                <form asp-action="Create"
                    data-ajax-begin="ClearInputField" data-ajax-complete=""
                    data-ajax-failure="alert('Fail')" data-ajax-success ="sendMessage"
                    fata-ajax="true" data-ajax-method="POST">
                    <div asp-validation-summary= "ModelOnly" class=" = "text-danger"></div>
                    <div class="form-group">
                            <input type="hiiden" value="@userName" name="username"/></div>
                    </form>
            </div>
     </div>
<script>
    const userName = "@ViewBag.CurrentUserName";
</script>

